Subject: Re: [BUG] git commit --allow-empty-message -m '' fails

From: Jeff King <[email-masked]>
Date: Fri, 1 May 2015 22:29:24 -0400

On Sat, May 02, 2015 at 01:25:45AM +0000, Josh Hagins wrote:

> I have git aliased to hub, which must do some preprocessing before handing
> the command off to git.
> 
> That's likely the culprit, but I'm using iTerm as my terminal emulator,
> which might be doing something tricky, but I doubt it. I'll open an issue
> on hub's GitHub repo and see what I can find out.

Ah, yeah, it's probably hub. Looks like it's fixed already there:

  https://github.com/github/hub/pull/727

-Peff